/**
 * 所有禁用标志集合
*/
module.exports = [
  /** 一、申请入党 */
  {
    tabPaneLabel: '一、申请入党',
    tabPaneName: 'APPLY',
    tabPaneHeadLeftTitle: '一',
    tabPaneHeadRight: '申请入党',
    tabpaneStepList: [
      // 1 入党申请书
      {
        stepItemLeft: 1,
        elcolKey: 'FIRST',
        elcolStyle: '',
        stepItemRightTitle: '入党申请书',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '递交入党申请书时间：',
            stepItemColProp: 'submitAddPartyPageTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '入党申请书：',
            stepItemColProp: 'addPartyPageFile',
            stepItemColPdfFileName: '党建管理-录入数据-1-入党申请书'
          }
        ]
      },
      // 2 党组织派人与入党申请人谈话的记录
      {
        stepItemLeft: 2,
        elcolKey: 'SECOND',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '党组织派人与入党申请人谈话的记录',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '组织派人谈话时间：',
            stepItemColProp: 'partyArrangeTalkTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '谈话记录：',
            stepItemColProp: 'talkPageFile',
            stepItemColPdfFileName: '党建管理-录入数据-2-谈话记录'
          }
        ]
      },
      // 3 身份证或户口本复印件
      {
        stepItemLeft: 3,
        elcolKey: 'THIRD',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '身份证或户口本复印件',
        stepItemTailStyle: 'height: 184px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColStyle: '',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '身份证或户口本：',
            stepItemColProp: 'cardOrRegisterBookFile',
            stepItemColPdfFileName: '党建管理-录入数据-3-身份证或户口本'
          }
        ]
      }
    ]
  },
  /** 一、申请入党 */
  {
    tabPaneLabel: '二、入党积极分子的确定和考察',
    tabPaneName: 'POSITIVE',
    tabPaneHeadLeftTitle: '二',
    tabPaneHeadRight: '入党积极分子的确定和培养',
    tabpaneStepList: [
      // 4 党员（群团组织）推荐入党积极分子登记表
      {
        stepItemLeft: 4,
        elcolKey: 'fourth',
        elcolStyle: '',
        stepItemRightTitle: '党员（群团组织）推荐入党积极分子登记表',
        stepItemTailStyle: 'height: 104px; margin-top: -56px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'CONTENT',
            stepItemColLable: '推荐人：',
            stepItemColProp: 'referrer'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '推荐入党积极分子时间：',
            stepItemColProp: 'referreTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '推荐入党积极分子登记表：',
            stepItemColProp: 'referrePageFile',
            stepItemColPdfFileName: '党建管理-详情-4-推荐入党积极分子登记表'
          }
        ]
      },
      // 5 确定为入党积极分子的支委会会议记录、备案请示和批复
      {
        stepItemLeft: 5,
        elcolKey: 'fifth',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '确定为入党积极分子的支委会会议记录、备案请示和批复',
        stepItemTailStyle: 'height: 218px; margin-top: -170px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColStyle: '',
            stepItemColType: 'CONTENT',
            stepItemColLable: '会议结果：',
            stepItemColProp: 'meetingResult',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '支委会会议时间：',
            stepItemColProp: 'branchPartyMeetingTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '确定为入党积极分子的支委会会议记录：',
            stepItemColProp: 'branchPartyMeetingFile',
            stepItemColPdfFileName: '党建管理-详情-5-确定为入党积极分子的支委会会议记录'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '递交备案请示时间：',
            stepItemColProp: 'submitRecordRequestTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '确定为入党积极分子的备案请示：',
            stepItemColProp: 'submitRecordRequestFile',
            stepItemColPdfFileName: '党建管理-详情-5-确定为入党积极分子的备案请示'
          },
          {
            stepItemColSpan: 24,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '批复结果：',
            stepItemColProp: 'replyResult',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '获得批复的时间：',
            stepItemColProp: 'replyTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '确定为入党积极分子的批复：',
            stepItemColProp: 'replyFile',
            stepItemColPdfFileName: '党建管理-详情-5-确定为入党积极分子的批复'
          }
        ]
      },
      // 6 《入党积极分子、发展对象培养教育考察登记表》
      {
        stepItemLeft: 6,
        elcolKey: 'SIXTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '《入党积极分子、发展对象培养教育考察登记表》',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '确定为积极分子的时间：',
            stepItemColProp: 'confirmActiveMemberTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '培养教育考察登记表：',
            stepItemColProp: 'cultivateEducationRecordFile',
            stepItemColPdfFileName: '党建管理-详情-6-培养教育考察登记表'
          }
        ]
      },
      // 7 入党积极分子思想汇报与参加短期集中培训的结业证书
      {
        stepItemLeft: 7,
        elcolKey: 'SEVENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '入党积极分子思想汇报与参加短期集中培训的结业证书',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '结业时间：',
            stepItemColProp: 'courseCompletionTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '结业证书：',
            stepItemColProp: 'courseCompletionFile',
            stepItemColPdfFileName: '党建管理-详情-7-结业证书'
          },
          {
            stepItemColSpan: 24,
            stepItemColType: 'THOUGHTREPORTRECORD',
            stepItemColLable: '思想汇报',
            stepItemColProp: 'thoughtReportRecord',
            stepItemColPdfFileName: '党建管理-详情-7-思想汇报-'
          }
        ]
      }
    ]
  }
];
